Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 16 Dec 2017, 05:17
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
dotpuprox2: Dotpup handler for newer Puppy versions
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [2 Posts]  
Author Message
mistfire

Joined: 04 Nov 2008
Posts: 661
Location: PH

PostPosted: Thu 11 Aug 2016, 04:55    Post subject:  dotpuprox2: Dotpup handler for newer Puppy versions  

Remember dotpup, the old puppy package format? It is actually an installer (similar to windows installer package) rather than a package. This dotpup handler allows to install old puppy package format .pup on newer puppy and uninstall it using PPM.

It is already implemented in PPM-mod and X-Slacko Slim

How it works?
This handler emulates puppy 1.0 environment and its package entries converts into PPM entries.

About 80-90% will work fine but pup package needs puppybasic so it must be required to install it before installing using pup package. Watch out for the libraries to be overwritten by the pup package

Known issues
Dependency checking is not yet implemented.

Why we need this?
For backward compatibility. In my opinion having a backward compatible distro has a better edge aside from supporting other package format and also to utilize as many packages as possible.

Usage: dotpuprox2 <pup file>

Dotpup Repo:http://dotpups.de/dotpups/
screenshot.png
 Description   
 Filesize   16.6 KB
 Viewed   103 Time(s)

screenshot.png

dotpuprox2-0.0.2.pet
Description  Initial release
pet

 Download 
Filename  dotpuprox2-0.0.2.pet 
Filesize  2.7 KB 
Downloaded  90 Time(s) 
Back to top
View user's profile Send private message 
Pelo

Joined: 10 Sep 2011
Posts: 12591
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 06 Jan 2017, 07:12    Post subject: Downoaded in my Puppy user toolcase  

Downoaded in my Puppy user toolcase
_________________
Passenger Pelo ! don't ask him to repair the aircraft. Don't use him as a demining dog .... pleeease.
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [2 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0373s ][ Queries: 14 (0.0122s) ][ GZIP on ]